RHINO-JSC(1)

NAME
rhino-jsc - invokes the rhino JavaScript compiler

SYNOPSIS
rhino-jsc [options] file1.js [file2.js...]

DESCRIPTION
This manual page documents briefly the rhino-jsc command. This manual page was written for the Debian distribution because the original program does not have a manual page. It is written according to the html documentation.

rhino-jsc is a start script for the rhino JavaScript compiler. The JavaScript compiler translates JavaScript source into Java class files. The resulting Java class files can then be loaded and executed at another time, providing a convenient method for transferring JavaScript, and for avoiding translation cost. Note that the top-level functions available to the shell (such as print) are not available to compiled scripts when they are run outside the shell.

OPTIONS

-extends java_class_name
    Specifies that a java class extending the Java class java_class_name should be generated from the incoming JavaScript source file. Each global function in the source file is made a method of the generated class, overriding any methods in the base class by the same name.

-implements java_intf_name
    Specifies that a java class implementing the Java interface java_intf_name should be generated from the incoming JavaScript source file. Each global function in the source file is made a method of the generated class, implementing any methods in the interface by the same name.

-debug, -g
    Specifies that debug information should be generated. May not be combined with optimization at an optLevel greater than zero.

-nosource
    Does not save the source in the class file. Functions and scripts compiled this way cannot be decompiled. This option can be used to avoid distributing source or simply to save space in the resulting class file.

-o outputFile
    Writes the class file to the given file (which should end in .class). The string outputFile must be a writable filename.

-opt, -O optLevel
    Optimizes at level optLevel, which must be an integer between 0 and 9.

-package packageName
    Specifies the package to generate the class into. The string packageName must be composed of valid identifier characters optionally separated by periods.

-version versionNumber
    Specifies the language version to compile with. The string versionNumber must be one of 100, 110, 120, 130, or 140. See JavaScript Language Versions for more information on language versions.

EXAMPLE
Example compiling the NervousText.js applet written in JavaScript. The example is provided in the librhino-java-doc package. $ rhino-jsc -extends java.applet.Applet -implements java.lang.Runnable NervousText.js

SEE ALSO
The online documentation under http://www.mozilla.org/rhino/jsc.html

AUTHOR
This manual page was written by Wolfgang Baer <WBaer@gmx.de>, for the Debian project (but may be used by others).